#include <cassert>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <cstring>

#define TASKNAME "hamming"
const int MaxN = 1007;

char s [MaxN], t [MaxN];
int n;

int main (void)
{
 int i, j, k;
 int cur, min;
 freopen (TASKNAME ".in", "r", stdin);
 freopen (TASKNAME ".out", "w", stdout);
 while (1)
 {
  if (scanf (" %s", s) == EOF) break;
  if (scanf (" %s", t) == EOF) assert (false);
  n = strlen (s);
  assert (n == (int) strlen (t));
  for (i = 0; i < n; i++)
   s[i + n] = s[i],
   t[i + n] = t[i];
  min = MaxN;
  for (i = 0; i < n; i++)
   for (j = 0; j < n; j++)
   {
    cur = 0;
    for (k = 0; k < n; k++)
     cur += (s[i + k] != t[j + k]);
    if (min > cur)
     min = cur;
   }
  printf ("%d\n", min);
 }
 return 0;
}
