#include <cassert>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <cstring>

#define TASKNAME "hamming"
const int MaxN = 1000;

char s [MaxN + 1], t [MaxN + 1];
int n;

int main (void)
{
 int i, k;
 int cur, min;
 freopen (TASKNAME ".in", "r", stdin);
 freopen (TASKNAME ".out", "w", stdout);
 while (1)
 {
  if (scanf (" %s", s) == EOF) break;
  if (scanf (" %s", t) == EOF) assert (false);
  n = strlen (s);
  assert (n == (int) strlen (t));
  assert (n >= 1 && n <= MaxN);
  for (i = 0; i < n; i++)
   t[i + n] = t[i];
  min = MaxN;
  for (i = 0; i < n; i++)
  {
   cur = 0;
   for (k = 0; k < n; k++)
    cur += (s[k] != t[i + k]);
   if (min > cur)
    min = cur;
  }
  printf ("%d\n", min);
 }
 return 0;
}
