#include <cassert>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <algorithm>

using namespace std;

#define TASKNAME "excess"
const int MaxN = 10008, MaxC = 0x3F3F3F3F;

int a [MaxN * 4];
int m, n;

int main (void)
{
 int i;
 freopen (TASKNAME ".in", "r", stdin);
 freopen (TASKNAME ".out", "w", stdout);
 while (scanf (" %d", &n) != EOF)
 {
  m = 0;
  for (i = 0; i < n; i++)
   scanf (" %d", &a[i]);
  sort (a, a + n);
  a[n] = a[n + 1] = a[n + 2] = MaxC;
  for (i = 0; i < n; i += 4)
  {
   if (a[i] != a[i + 1]) break;
   if (a[i] != a[i + 2]) break;
   if (a[i] != a[i + 3]) break;
  }
  assert (i < n);
  printf ("%d\n", a[i]);
 }
 return 0;
}
