#include <stdio.h>

#define MaxL 1000

int n;
char s[MaxL + 1], t[MaxL + 1];

int h(int dt) {
	int i, result;
	result = 0;
	for (i = 0; i < n; i++) {
		if (s[i] != t[(i + dt) % n])
			result++;
	}
	return result;
}

int main(void) {
	int i, best, cur;
	freopen("hamming.in", "rt", stdin);	
	freopen("hamming.out", "wt", stdout);
	scanf("%s%s", s, t);
	n = strlen(s);
	best = MaxL + 1;
	for (i = 0; i < n; i++) {
		cur = h(i);
		if (best > cur)
			best = cur;
	}
	printf("%d\n", best);
	return 0;
}
