#include <cassert>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <cstring>

#define TASKNAME "hamming"
const int MaxN = 1003, MaxK = 257;

char s [MaxN], t [MaxN];
int c [MaxK];
int n;

int main (void)
{
 int i;
 int res;
 freopen (TASKNAME ".in", "r", stdin);
 freopen (TASKNAME ".out", "w", stdout);
 while (1)
 {
  if (scanf (" %s", s) == EOF) break;
  if (scanf (" %s", t) == EOF) assert (false);
  n = strlen (s);
  assert (n == (int) strlen (t));
  memset (c, 0, sizeof (c));
  for (i = 0; i < n; i++)
   c[(int) s[i]]++;
  for (i = 0; i < n; i++)
   c[(int) t[i]]--;
  res = 0;
  for (i = 0; i < MaxK; i++)
   res += abs (c[i]);
  res >>= 1;
  printf ("%d\n", res);
 }
 return 0;
}
