#include <stdio.h>
#include <math.h>

#define MaxN 10000
#define Pi 3.1415926535897932

double x[MaxN], y[MaxN];

int main(void) {
	int n, i, j;
	double a, d, best;
	freopen("diameter.in", "rt", stdin);
	freopen("diameter.out", "wt", stdout);
	scanf("%d", &n);
	for (i = 0; i < n; i++) {
		scanf("%lf", &a);
		x[i] = cos(a * Pi / 180);
		y[i] = sin(a * Pi / 180);
	}		
	best = 0;
	for (i = 0 ; i < n - 1; i++)
		for (j = i + 1; j < n; j++) {
			d = (x[i] - x[j]) * (x[i] - x[j]) +
					(y[i] - y[j]) * (y[i] - y[j]);
			if (d > best)
				best = d;
		}
	printf("%.11lf\n", sqrt(best));
	return 0;
}
