#include <stdio.h>
#include <math.h>
#define MaxN 10000

const double pi = 3.141592653;

int N;
double a[MaxN];
double bet[MaxN];

double modul(double x);
double between1(int i, int j);
double between2(int i, int j);
int circle(int i);

double max(double x, double y);

int main()
{

        int i, j, last;
	double curr_a, max_a, answer;
	freopen("diameter.in", "r", stdin);
	freopen("diameter.out", "w", stdout);

	scanf("%d", &N);
	for (i = 0; i < N; i ++)
	{
		scanf("%lf", &a[i]);
	}
	for (i = 0; i < N; i ++)
	{
		bet[i] = a[i] - a[(i + 1) % N];
	}


	max_a = 0;

	for (i = 0; i < N; i ++) 
	{
		for (j = 0; j < N; j ++)
		{
			curr_a = between1(i, j);
			if (modul(180 - curr_a) < modul(180 - max_a)) 
				max_a = curr_a;
		}	
	}       
        
	answer = sqrt(2 - 2 * cos(pi * (max_a / (double) 180)));
	printf("%lf\n", answer);
                    	

	return 0;
}

double modul(double x)
{
	return (x >= 0) ? x : -x;
}

double between1(int i, int j)
{
	return (modul(a[i] - a[j]) > 360 - modul(a[i] - a[j])) ?
		360 - modul(a[i] - a[j]) :
		modul(a[i] - a[j]);
}

double between2(int i, int j)
{
	return modul(a[i] - a[j]);
}

int circle(int i)
{
	if (i < 0)
		return N - i;
	return i % N;
}

double max(double x, double y)
{
	return (x > y) ? x : y;
}
